# Created by pyp2rpm-1.0.1
%global pypi_name astrolib.coords
%define version 0.39.4

Name:           python-astrolib-coords
Version:        %{version}
Release:        %mkrel 4
Group:          Sciences/Astronomy
Summary:        Astronomical coordinates & angular separations (OO)

License:        BSD
URL:            http://www.astrolib.org
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-stsci-sphinxext


Obsoletes: python-stsci <= 2.13-4

%description
This package aims to provide much of the IDL "astron" functionality that
pertains to coordinate manipulations in an OO framework. Our target user is
a typical astronomer who needs to analyze data, work with catalogs, prepare
observing proposals, and prepare for observing runs.

It depends on numpy, which must already be installed on your
system.

It incorporates the TPM library, graciously ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html lib/astrolib/coords/tests/test_README.txt README.txt LICENSE.txt src/tpm/TPM_LICENSE.txt
%{python_sitearch}/astrolib/__init__.*
%{python_sitearch}/astrolib/coords
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.39.4-4.mga4
+ Revision: 542904
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.39.4-3.mga4
+ Revision: 498125
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 joequant <joequant> 0.39.4-2.mga4
+ Revision: 492509
- add pyo and pyc files

* Fri Sep 13 2013 joequant <joequant> 0.39.4-1.mga4
+ Revision: 478538
- build requires
- build requires
- imported package python-astrolib-coords

